﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="RadGridTemplateDropDownList.aspx.cs" Inherits="RadGridTemplateDropDownList" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
        <telerik:RadScriptManager ID="RadScriptManager1" runat="server">
            <Scripts>
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.Core.js" />
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQuery.js" />
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQueryInclude.js" />
            </Scripts>
        </telerik:RadScriptManager>
        <script type="text/javascript">
            //Put your JavaScript code here.
            function getInfo(sender, args, index) {
                var masterTable = $find("<%= RadGrid1.ClientID %>").get_masterTableView();
                var items = masterTable.get_dataItems();
                var row = items[index];

                var info = "";
                info += "Currently changed record:<br/>" + row.getDataKeyValue("OrderID") +
                    ": <b>" + args.get_item().get_text() + "</b><br/>";
                info += "All selected options:<br/>";
                for (var i = 0; i < items.length; i++) {
                    // findControl for RadControls and findElement for elements
                    var combo = $telerik.findControl(items[i].get_element(), "RadComboBox1");
                    info += items[i].getDataKeyValue("OrderID") + ": <b>" +
                     combo.get_selectedItem().get_text() + "</b><br/>";
                }
                $get("<%= Label1.ClientID %>").innerHTML = info;
            }
        </script>
        <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server">
        </telerik:RadAjaxManager>
        <telerik:RadGrid ID="RadGrid1" runat="server" AllowPaging="True" CellSpacing="0"
            DataSourceID="SqlDataSource1" GridLines="None" Width="800px">
            <MasterTableView DataSourceID="SqlDataSource1" AutoGenerateColumns="False"
                DataKeyNames="OrderID" ClientDataKeyNames="OrderID">
                <CommandItemSettings ExportToPdfText="Export to PDF"></CommandItemSettings>
                <RowIndicatorColumn Visible="True" FilterControlAltText="Filter RowIndicator column">
                    <HeaderStyle Width="20px"></HeaderStyle>
                </RowIndicatorColumn>
                <ExpandCollapseColumn Visible="True" FilterControlAltText="Filter ExpandColumn column">
                    <HeaderStyle Width="20px"></HeaderStyle>
                </ExpandCollapseColumn>
                <Columns>
                    <telerik:GridBoundColumn DataField="OrderID" DataType="System.Int32"
                        FilterControlAltText="Filter OrderID column" HeaderText="OrderID"
                        ReadOnly="True" SortExpression="OrderID" UniqueName="OrderID">
                    </telerik:GridBoundColumn>
                    <telerik:GridDateTimeColumn DataField="OrderDate" DataType="System.DateTime"
                        FilterControlAltText="Filter OrderDate column" HeaderText="OrderDate"
                        SortExpression="OrderDate" UniqueName="OrderDate">
                    </telerik:GridDateTimeColumn>
                    <telerik:GridNumericColumn DataField="Freight" DataType="System.Decimal"
                        FilterControlAltText="Filter Freight column" HeaderText="Freight"
                        SortExpression="Freight" UniqueName="Freight">
                    </telerik:GridNumericColumn>
                    <telerik:GridBoundColumn DataField="ShipName"
                        FilterControlAltText="Filter ShipName column" HeaderText="ShipName"
                        SortExpression="ShipName" UniqueName="ShipName">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="ShipCountry"
                        FilterControlAltText="Filter ShipCountry column" HeaderText="ShipCountry"
                        SortExpression="ShipCountry" UniqueName="ShipCountry">
                    </telerik:GridBoundColumn>
                    <telerik:GridTemplateColumn UniqueName="TemplateColumn" HeaderText="Test"
                        DataField="">
                        <ItemTemplate>
                            <asp:Panel ID="Panel1" runat="server">
                                <telerik:RadComboBox ID="RadComboBox1" runat="server"
                                    OnClientSelectedIndexChanged='<%# "function (sender,args){getInfo(sender,args,"+Container.ItemIndex+");}" %>'>
                                    <Items>
                                        <telerik:RadComboBoxItem Text="One" Value="1" />
                                        <telerik:RadComboBoxItem Text="Two" Value="2" />
                                        <telerik:RadComboBoxItem Text="Three" Value="3" />
                                    </Items>
                                </telerik:RadComboBox>
                            </asp:Panel>
                        </ItemTemplate>
                    </telerik:GridTemplateColumn>
                </Columns>
                <EditFormSettings>
                    <EditColumn FilterControlAltText="Filter EditCommandColumn column">
                    </EditColumn>
                </EditFormSettings>
            </MasterTableView>
            <FilterMenu EnableImageSprites="False">
            </FilterMenu>
        </telerik:RadGrid>
        <asp:SqlDataSource ID="SqlDataSource1" runat="server"
            ConnectionString="<%$ ConnectionStrings:ConnectionString %>"
            SelectCommand="SELECT [OrderID], [OrderDate], [Freight], [ShipName], [ShipCountry] FROM [Orders]"></asp:SqlDataSource>
        <br />
        <asp:Label ID="Label1" runat="server" Text="Make a combo selection"></asp:Label>
    </form>
</body>
</html>
